Loading...
Searching...
No Matches
ON_UnitSystem Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_string.h>`

## Public Member Functions

| ON_UnitSystem ()
| ~ON_UnitSystem ()
| ON_UnitSystem (ON::unit_system)
ON_UnitSystem & | operator= (ON::unit_system)
bool | operator== (const ON_UnitSystem &)
bool | operator!= (const ON_UnitSystem &)
bool | IsValid () const
void | Default ()
bool | Read (class ON_BinaryArchive &)
bool | Write (class ON_BinaryArchive &) const
void | Dump (class ON_TextLog &) const

## Public Attributes

ON::unit_system | m_unit_system
double | m_custom_unit_scale
ON_wString | m_custom_unit_name

## Detailed Description

Definition at line 1068 of file opennurbs_string.h.

## Constructor & Destructor Documentation

## ON_UnitSystem() [1/2]

ON_UnitSystem::ON_UnitSystem | ( |  | ) |

## ~ON_UnitSystem()

ON_UnitSystem::~ON_UnitSystem | ( |  | ) |

## ON_UnitSystem() [2/2]

ON_UnitSystem::ON_UnitSystem | ( | ON::unit_system |  | ) |

## Member Function Documentation

## Default()

void ON_UnitSystem::Default | ( |  | ) |

## Dump()

void ON_UnitSystem::Dump | ( | class ON_TextLog & |  | ) | const

## IsValid()

bool ON_UnitSystem::IsValid | ( |  | ) | const

## operator!=()

bool ON_UnitSystem::operator!= | ( | const ON_UnitSystem & |  | ) |

## operator=()

ON_UnitSystem & ON_UnitSystem::operator= | ( | ON::unit_system |  | ) |

## operator==()

bool ON_UnitSystem::operator== | ( | const ON_UnitSystem & |  | ) |

## Read()

bool ON_UnitSystem::Read | ( | class ON_BinaryArchive & |  | ) |

## Write()

bool ON_UnitSystem::Write | ( | class ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_custom_unit_name

ON_wString ON_UnitSystem::m_custom_unit_name

Definition at line 1092 of file opennurbs_string.h.

## m_custom_unit_scale

double ON_UnitSystem::m_custom_unit_scale

Definition at line 1091 of file opennurbs_string.h.

## m_unit_system

ON::unit_system ON_UnitSystem::m_unit_system

Definition at line 1088 of file opennurbs_string.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_string.h